com.lowagie.text.rtf.list

## Class RtfListTable

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.list.RtfListTable

- All Implemented Interfaces:
    RtfBasicElement, RtfExtendedElement, RtfElementInterface

      public class RtfListTable
      extends RtfElement
      implements RtfExtendedElement

  The RtfListTable manages all RtfList objects and list override table in one RtfDocument.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Howard Shank (hgshank@yahoo.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `LIST_OVERRIDE` Constant for the list override
    `private static byte[]` | `LIST_OVERRIDE_COUNT` Constant for the list override count
    `private static byte[]` | `LIST_OVERRIDE_TABLE` Constant for the list override table
    `private static byte[]` | `LIST_TABLE` Constant for the list table
    `private java.util.ArrayList` | `lists` The RtfList lists managed by this RtfListTable
    `private java.util.ArrayList` | `picturelists` The RtfPictureList lists managed by this RtfListTable

    - ### Fields inherited from class com.lowagie.text.rtf.RtfElement

      `document, inHeader, inTable`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfListTable(RtfDocument doc)` Constructs a RtfListTable for a RtfDocument

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `freeListNumber(RtfList list)` Remove a RtfList from the list of RtfList
    `int` | `getListNumber(RtfList list)` Gets the id of the specified RtfList.
    `void` | `writeContent(java.io.OutputStream out)` unused
    `void` | `writeDefinition(java.io.OutputStream result)` Writes the list and list override tables.

    - ### Methods inherited from class com.lowagie.text.rtf.RtfElement

      `intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `setInHeader, setInTable, setRtfDocument`

- - ### Field Detail

    - #### LIST_TABLE

          private static final byte[] LIST_TABLE

      Constant for the list table

    - #### LIST_OVERRIDE_TABLE

          private static final byte[] LIST_OVERRIDE_TABLE

      Constant for the list override table

    - #### LIST_OVERRIDE

          private static final byte[] LIST_OVERRIDE

      Constant for the list override

    - #### LIST_OVERRIDE_COUNT

          private static final byte[] LIST_OVERRIDE_COUNT

      Constant for the list override count

    - #### lists

          private java.util.ArrayList lists

      The RtfList lists managed by this RtfListTable

    - #### picturelists

          private java.util.ArrayList picturelists

      The RtfPictureList lists managed by this RtfListTable

  - ### Constructor Detail

    - #### RtfListTable

          public RtfListTable(RtfDocument doc)

      Constructs a RtfListTable for a RtfDocument
      Parameters:
        `doc` - The RtfDocument this RtfListTable belongs to

  - ### Method Detail

    - #### writeContent

          public void writeContent(java.io.OutputStream out)
                            throws java.io.IOException

      unused
      Specified by:
        `writeContent` in interface `RtfBasicElement`
      Specified by:
        `writeContent` in class `RtfElement`
      Parameters:
        `out` - The `OutputStream` to write the content to
      Throws:
        `java.io.IOException`

    - #### writeDefinition

          public void writeDefinition(java.io.OutputStream result)
                               throws java.io.IOException

      Writes the list and list override tables.
      Specified by:
        `writeDefinition` in interface `RtfExtendedElement`
      Parameters:
        `result` - The `OutputStream` to write the element definition to
      Throws:
        `java.io.IOException`

    - #### getListNumber

          public int getListNumber(RtfList list)

      Gets the id of the specified RtfList. If the RtfList is not yet in the list of RtfList, then it is added.
      Parameters:
        `list` - The RtfList for which to get the id.
      Returns:
        The id of the RtfList.

    - #### freeListNumber

          public void freeListNumber(RtfList list)

      Remove a RtfList from the list of RtfList
      Parameters:
        `list` - The RtfList to remove.